org.jbpm.process.core.timer.impl

## Class QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

- java.lang.Object
- - org.jbpm.process.core.timer.impl.QuartzSchedulerService.InmemoryTimerJobInstanceDelegate

- All Implemented Interfaces:
    Serializable, Callable<Void>, org.drools.core.time.impl.TimerJobInstance
  Enclosing class:
    QuartzSchedulerService

      public static class QuartzSchedulerService.InmemoryTimerJobInstanceDelegate
      extends Object
      implements org.drools.core.time.impl.TimerJobInstance, Serializable, Callable<Void>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InmemoryTimerJobInstanceDelegate(String jobName, String timerServiceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `call()`
    `protected void` | `findDelegate()`
    `org.drools.core.time.Job` | `getJob()`
    `org.drools.core.time.JobContext` | `getJobContext()`
    `org.drools.core.time.JobHandle` | `getJobHandle()`
    `org.drools.core.time.Trigger` | `getTrigger()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InmemoryTimerJobInstanceDelegate

          public InmemoryTimerJobInstanceDelegate(String jobName,
                                                  String timerServiceId)

  - ### Method Detail

    - #### getJobHandle

          public org.drools.core.time.JobHandle getJobHandle()

      Specified by:
        `getJobHandle` in interface `org.drools.core.time.impl.TimerJobInstance`

    - #### getJob

          public org.drools.core.time.Job getJob()

      Specified by:
        `getJob` in interface `org.drools.core.time.impl.TimerJobInstance`

    - #### getTrigger

          public org.drools.core.time.Trigger getTrigger()

      Specified by:
        `getTrigger` in interface `org.drools.core.time.impl.TimerJobInstance`

    - #### getJobContext

          public org.drools.core.time.JobContext getJobContext()

      Specified by:
        `getJobContext` in interface `org.drools.core.time.impl.TimerJobInstance`

    - #### findDelegate

          protected void findDelegate()

    - #### call

          public Void call()
                    throws Exception

      Specified by:
        `call` in interface `Callable<Void>`
      Throws:
        `Exception`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.